package com.steerinfo.baseinfo.meterbasecar.mapper;

import com.steerinfo.baseinfo.meterbasecar.model.MeterBaseCar;
import com.steerinfo.baseinfo.meterbasedriver.model.MeterBaseDriver;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.steerinfo.meterwork.meterworkcaractual.model.MeterWorkCarActual;
import feign.Param;
import io.micrometer.core.instrument.Meter;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface MeterBaseCarMapper extends IBaseMapper<MeterBaseCar, String> {
    String GetNewID();

    List<MeterBaseCar> selectForUpdate(Map<String, Object> parameters);

    void deleteCarById(@Param("list") List<String> driverNos);

    List<MeterBaseCar> selectByMap(Map<String, Object> parameters);

    int updateValidFlagById(Map<String, Object> parameters);

    List<MeterBaseCar> selectByParametersNoPage(Map<String, Object> parmas);

    int reNewID(MeterBaseCar map);
}